Bug 721168

Summary: please capture ipv6 neighbor table
Product: [Fedora] Fedora Reporter: Jeff Bastian <jbastian>
Component: sosAssignee: Bryn M. Reeves <bmr>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 15CC: jsaucier, pierre
Target Milestone: ---Keywords: EasyFix
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 721161 Environment:
Last Closed: 2012-08-07 15:27:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 721161    
Bug Blocks:    

Description Jeff Bastian 2011-07-13 18:15:08 EDT
+++ This bug was initially created as a clone of Bug #721161 +++

Description of problem:
The IPv4 arp cache is captured in a sosreport as proc/net/arp, but the IPv6 equivalent -- the neighbor list -- is missing.  Please capture the output of
  ip -6 neigh show
in the sosreport.

Version-Release number of selected component (if applicable):

This should do the trick:
--- networking.py.ORIG  2011-02-09 09:25:48.000000000 -0600
+++ networking.py       2011-07-13 17:10:10.173848319 -0500
@@ -66,6 +66,7 @@
         self.collectExtOutput("/sbin/ifenslave -a")
         self.collectExtOutput("/sbin/ip mroute show")
         self.collectExtOutput("/sbin/ip maddr show")
+        self.collectExtOutput("/sbin/ip neigh show")
         if ifconfigFile:
             for eth in self.get_interface_name(ifconfigFile):
                 self.collectExtOutput("/sbin/ethtool "+eth)

Testing it:
[root@tarantula ~]# sosreport -o networking
[root@tarantula ~]# cd /tmp
[root@tarantula tmp]# tar xf sosreport-ipv6.999-20110713171115-0f56.tar.xz 
[root@tarantula tmp]# cat tarantula-2011071317111310595066/sos_commands/networking/ip_neigh_show dev em1 lladdr 00:01:02:03:04:05 REACHABLE dev em1 lladdr 00:01:02:03:04:06 REACHABLE
2001:dead:beef:1::2 dev eth0 lladdr 00:01:02:03:04:07 router REACHABLE
Comment 1 Fedora Admin XMLRPC Client 2012-02-25 08:50:06 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2012-02-27 09:00:08 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2012-08-07 15:27:57 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here: